xine-lib: xine-lib-1.2.12/src/video_dec/libmpeg2/vlc.h File Reference

xine-lib 1.2.12

Data Structures | Macros | Functions | Variables
vlc.h File Reference

Go to the source code of this file.

## Data Structures
struct | MBtab
struct | MVtab
struct | DMVtab
struct | CBPtab
struct | DCtab
struct | DCTtab
struct | MBAtab

## Macros
#define | GETWORD(bit_buf, shift, bit_ptr)
#define | NEEDBITS(bit_buf, bits, bit_ptr)
#define | DUMPBITS(bit_buf, bits, num)
#define | UBITS(bit_buf, num) (((uint32_t)(bit_buf)) >> (32 - (num)))
#define | SBITS(bit_buf, num) (((int32_t)(bit_buf)) >> (32 - (num)))
#define | INTRA MACROBLOCK_INTRA
#define | QUANT MACROBLOCK_QUANT
#define | MC MACROBLOCK_MOTION_FORWARD
#define | CODED MACROBLOCK_PATTERN
#define | FWD MACROBLOCK_MOTION_FORWARD
#define | BWD MACROBLOCK_MOTION_BACKWARD
#define | INTER MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD

## Functions
static void | bitstream_init (picture_t *picture, uint8_t *start)

## Variables
static const MBtab | MB_I []
static const MBtab | MB_P []
static const MBtab | MB_B []
static const MVtab | MV_4 []
static const MVtab | MV_10 []
static const DMVtab | DMV_2 []
static const CBPtab | CBP_7 []
static const CBPtab | CBP_9 []
static const DCtab | DC_lum_5 []
static const DCtab | DC_chrom_5 []
static const DCtab | DC_long []
static const DCTtab | DCT_16 []
static const DCTtab | DCT_15 []
static const DCTtab | DCT_13 []
static const DCTtab | DCT_B14_10 []
static const DCTtab | DCT_B14_8 []
static const DCTtab | DCT_B14AC_5 []
static const DCTtab | DCT_B14DC_5 []
static const DCTtab | DCT_B15_10 []
static const DCTtab | DCT_B15_8 []
static const MBAtab | MBA_5 []
static const MBAtab | MBA_11 []

## Macro Definition Documentation

## ◆ BWD

#define BWD MACROBLOCK_MOTION_BACKWARD

## ◆ CODED

#define CODED MACROBLOCK_PATTERN

## ◆ DUMPBITS

#define DUMPBITS | ( |  | bit_buf,
|  |  | bits,
|  |  | num
| ) |  |

Value:
do { \
bit_buf <<= (num); \
bits += (num); \
} while (0)
bit_buf
#define bit_buf
bits
#define bits

## ◆ FWD

#define FWD MACROBLOCK_MOTION_FORWARD

## ◆ GETWORD

#define GETWORD | ( |  | bit_buf,
|  |  | shift,
|  |  | bit_ptr
| ) |  |

Value:
do { \
bit_buf |= ((bit_ptr[0] << 8) | bit_ptr[1]) << (shift); \
bit_ptr += 2; \
} while (0)
bit_ptr
#define bit_ptr

## ◆ INTER

#define INTER MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD

## ◆ INTRA

#define INTRA MACROBLOCK_INTRA

## ◆ MC

#define MC MACROBLOCK_MOTION_FORWARD

## ◆ NEEDBITS

#define NEEDBITS | ( |  | bit_buf,
|  |  | bits,
|  |  | bit_ptr
| ) |  |

Value:
do { \
if (bits > 0) { \
GETWORD (bit_buf, bits, bit_ptr); \
bits -= 16; \
} \
} while (0)

## ◆ QUANT

#define QUANT MACROBLOCK_QUANT

## ◆ SBITS

#define SBITS | ( |  | bit_buf,
|  |  | num
| ) |  | (((int32_t)(bit_buf)) >> (32 - (num)))

## ◆ UBITS

#define UBITS | ( |  | bit_buf,
|  |  | num
| ) |  | (((uint32_t)(bit_buf)) >> (32 - (num)))

## Function Documentation

## ◆ bitstream_init()

static void bitstream_init | ( | picture_t * | picture,
|  | uint8_t * | start
| ) |  |
| inlinestatic

Referenced by mpeg2_slice(), and mpeg2_xvmc_slice().

## Variable Documentation

## ◆ CBP_7

const CBPtab CBP_7[]
| static

Initial value:
= {
{0x22, 7}, {0x12, 7}, {0x0a, 7}, {0x06, 7},
{0x21, 7}, {0x11, 7}, {0x09, 7}, {0x05, 7},
{0x3f, 6}, {0x3f, 6}, {0x03, 6}, {0x03, 6},
{0x24, 6}, {0x24, 6}, {0x18, 6}, {0x18, 6},
{0x3e, 5}, {0x3e, 5}, {0x3e, 5}, {0x3e, 5},
{0x02, 5}, {0x02, 5}, {0x02, 5}, {0x02, 5},
{0x3d, 5}, {0x3d, 5}, {0x3d, 5}, {0x3d, 5},
{0x01, 5}, {0x01, 5}, {0x01, 5}, {0x01, 5},
{0x38, 5}, {0x38, 5}, {0x38, 5}, {0x38, 5},
{0x34, 5}, {0x34, 5}, {0x34, 5}, {0x34, 5},
{0x2c, 5}, {0x2c, 5}, {0x2c, 5}, {0x2c, 5},
{0x1c, 5}, {0x1c, 5}, {0x1c, 5}, {0x1c, 5},
{0x28, 5}, {0x28, 5}, {0x28, 5}, {0x28, 5},
{0x14, 5}, {0x14, 5}, {0x14, 5}, {0x14, 5},
{0x30, 5}, {0x30, 5}, {0x30, 5}, {0x30, 5},
{0x0c, 5}, {0x0c, 5}, {0x0c, 5}, {0x0c, 5},
{0x20, 4}, {0x20, 4}, {0x20, 4}, {0x20, 4},
{0x20, 4}, {0x20, 4}, {0x20, 4}, {0x20, 4},
{0x10, 4}, {0x10, 4}, {0x10, 4}, {0x10, 4},
{0x10, 4}, {0x10, 4}, {0x10, 4}, {0x10, 4},
{0x08, 4}, {0x08, 4}, {0x08, 4}, {0x08, 4},
{0x08, 4}, {0x08, 4}, {0x08, 4}, {0x08, 4},
{0x04, 4}, {0x04, 4}, {0x04, 4}, {0x04, 4},
{0x04, 4}, {0x04, 4}, {0x04, 4}, {0x04, 4},
{0x3c, 3}, {0x3c, 3}, {0x3c, 3}, {0x3c, 3},
{0x3c, 3}, {0x3c, 3}, {0x3c, 3}, {0x3c, 3},
{0x3c, 3}, {0x3c, 3}, {0x3c, 3}, {0x3c, 3},
{0x3c, 3}, {0x3c, 3}, {0x3c, 3}, {0x3c, 3}
}

Referenced by get_coded_block_pattern(), and get_xvmc_coded_block_pattern().

## ◆ CBP_9

const CBPtab CBP_9[]
| static

Initial value:
= {
{0, 0}, {0x00, 9}, {0x27, 9}, {0x1b, 9},
{0x3b, 9}, {0x37, 9}, {0x2f, 9}, {0x1f, 9},
{0x3a, 8}, {0x3a, 8}, {0x36, 8}, {0x36, 8},
{0x2e, 8}, {0x2e, 8}, {0x1e, 8}, {0x1e, 8},
{0x39, 8}, {0x39, 8}, {0x35, 8}, {0x35, 8},
{0x2d, 8}, {0x2d, 8}, {0x1d, 8}, {0x1d, 8},
{0x26, 8}, {0x26, 8}, {0x1a, 8}, {0x1a, 8},
{0x25, 8}, {0x25, 8}, {0x19, 8}, {0x19, 8},
{0x2b, 8}, {0x2b, 8}, {0x17, 8}, {0x17, 8},
{0x33, 8}, {0x33, 8}, {0x0f, 8}, {0x0f, 8},
{0x2a, 8}, {0x2a, 8}, {0x16, 8}, {0x16, 8},
{0x32, 8}, {0x32, 8}, {0x0e, 8}, {0x0e, 8},
{0x29, 8}, {0x29, 8}, {0x15, 8}, {0x15, 8},
{0x31, 8}, {0x31, 8}, {0x0d, 8}, {0x0d, 8},
{0x23, 8}, {0x23, 8}, {0x13, 8}, {0x13, 8},
{0x0b, 8}, {0x0b, 8}, {0x07, 8}, {0x07, 8}
}

Referenced by get_coded_block_pattern(), and get_xvmc_coded_block_pattern().

## ◆ DC_chrom_5

const DCtab DC_chrom_5[]
| static

Initial value:
= {
{0, 2}, {0, 2}, {0, 2}, {0, 2}, {0, 2}, {0, 2}, {0, 2}, {0, 2},
{1, 2}, {1, 2}, {1, 2}, {1, 2}, {1, 2}, {1, 2}, {1, 2}, {1, 2},
{2, 2}, {2, 2}, {2, 2}, {2, 2}, {2, 2}, {2, 2}, {2, 2}, {2, 2},
{3, 3}, {3, 3}, {3, 3}, {3, 3}, {4, 4}, {4, 4}, {5, 5}
}

Referenced by get_chroma_dc_dct_diff(), and get_xvmc_chroma_dc_dct_diff().

## ◆ DC_long

const DCtab DC_long[]
| static

Initial value:
= {
{6, 5}, {6, 5}, {6, 5}, {6, 5}, {6, 5}, {6, 5}, { 6, 5}, { 6, 5},
{6, 5}, {6, 5}, {6, 5}, {6, 5}, {6, 5}, {6, 5}, { 6, 5}, { 6, 5},
{7, 6}, {7, 6}, {7, 6}, {7, 6}, {7, 6}, {7, 6}, { 7, 6}, { 7, 6},
{8, 7}, {8, 7}, {8, 7}, {8, 7}, {9, 8}, {9, 8}, {10, 9}, {11, 9}
}

Referenced by get_chroma_dc_dct_diff(), get_luma_dc_dct_diff(), get_xvmc_chroma_dc_dct_diff(), and get_xvmc_luma_dc_dct_diff().

## ◆ DC_lum_5

const DCtab DC_lum_5[]
| static

Initial value:
= {
{1, 2}, {1, 2}, {1, 2}, {1, 2}, {1, 2}, {1, 2}, {1, 2}, {1, 2},
{2, 2}, {2, 2}, {2, 2}, {2, 2}, {2, 2}, {2, 2}, {2, 2}, {2, 2},
{0, 3}, {0, 3}, {0, 3}, {0, 3}, {3, 3}, {3, 3}, {3, 3}, {3, 3},
{4, 3}, {4, 3}, {4, 3}, {4, 3}, {5, 4}, {5, 4}, {6, 5}
}

Referenced by get_luma_dc_dct_diff(), and get_xvmc_luma_dc_dct_diff().

## ◆ DCT_13

const DCTtab DCT_13[]
| static

Initial value:
= {
{ 11, 2,13}, { 10, 2,13}, { 6, 3,13}, { 4, 4,13},
{ 3, 5,13}, { 2, 7,13}, { 2, 6,13}, { 1,15,13},
{ 1,14,13}, { 1,13,13}, { 1,12,13}, { 27, 1,13},
{ 26, 1,13}, { 25, 1,13}, { 24, 1,13}, { 23, 1,13},
{ 1,11,12}, { 1,11,12}, { 9, 2,12}, { 9, 2,12},
{ 5, 3,12}, { 5, 3,12}, { 1,10,12}, { 1,10,12},
{ 3, 4,12}, { 3, 4,12}, { 8, 2,12}, { 8, 2,12},
{ 22, 1,12}, { 22, 1,12}, { 21, 1,12}, { 21, 1,12},
{ 1, 9,12}, { 1, 9,12}, { 20, 1,12}, { 20, 1,12},
{ 19, 1,12}, { 19, 1,12}, { 2, 5,12}, { 2, 5,12},
{ 4, 3,12}, { 4, 3,12}, { 1, 8,12}, { 1, 8,12},
{ 7, 2,12}, { 7, 2,12}, { 18, 1,12}, { 18, 1,12}
}

Referenced by get_intra_block_B14(), get_intra_block_B15(), get_mpeg1_intra_block(), get_mpeg1_non_intra_block(), get_non_intra_block(), get_xvmc_intra_block_B14(), get_xvmc_intra_block_B15(), get_xvmc_mpeg1_intra_block(), get_xvmc_mpeg1_non_intra_block(), and get_xvmc_non_intra_block().

## ◆ DCT_15

const DCTtab DCT_15[]
| static

Initial value:
= {
{ 1,40,15}, { 1,39,15}, { 1,38,15}, { 1,37,15},
{ 1,36,15}, { 1,35,15}, { 1,34,15}, { 1,33,15},
{ 1,32,15}, { 2,14,15}, { 2,13,15}, { 2,12,15},
{ 2,11,15}, { 2,10,15}, { 2, 9,15}, { 2, 8,15},
{ 1,31,14}, { 1,31,14}, { 1,30,14}, { 1,30,14},
{ 1,29,14}, { 1,29,14}, { 1,28,14}, { 1,28,14},
{ 1,27,14}, { 1,27,14}, { 1,26,14}, { 1,26,14},
{ 1,25,14}, { 1,25,14}, { 1,24,14}, { 1,24,14},
{ 1,23,14}, { 1,23,14}, { 1,22,14}, { 1,22,14},
{ 1,21,14}, { 1,21,14}, { 1,20,14}, { 1,20,14},
{ 1,19,14}, { 1,19,14}, { 1,18,14}, { 1,18,14},
{ 1,17,14}, { 1,17,14}, { 1,16,14}, { 1,16,14}
}

Referenced by get_intra_block_B14(), get_intra_block_B15(), get_mpeg1_intra_block(), get_mpeg1_non_intra_block(), get_non_intra_block(), get_xvmc_intra_block_B14(), get_xvmc_intra_block_B15(), get_xvmc_mpeg1_intra_block(), get_xvmc_mpeg1_non_intra_block(), and get_xvmc_non_intra_block().

## ◆ DCT_16

const DCTtab DCT_16[]
| static

Initial value:
= {
{129, 0, 0}, {129, 0, 0}, {129, 0, 0}, {129, 0, 0},
{129, 0, 0}, {129, 0, 0}, {129, 0, 0}, {129, 0, 0},
{129, 0, 0}, {129, 0, 0}, {129, 0, 0}, {129, 0, 0},
{129, 0, 0}, {129, 0, 0}, {129, 0, 0}, {129, 0, 0},
{ 2,18, 0}, { 2,17, 0}, { 2,16, 0}, { 2,15, 0},
{ 7, 3, 0}, { 17, 2, 0}, { 16, 2, 0}, { 15, 2, 0},
{ 14, 2, 0}, { 13, 2, 0}, { 12, 2, 0}, { 32, 1, 0},
{ 31, 1, 0}, { 30, 1, 0}, { 29, 1, 0}, { 28, 1, 0}
}

Referenced by get_intra_block_B14(), get_intra_block_B15(), get_mpeg1_intra_block(), get_mpeg1_non_intra_block(), get_non_intra_block(), get_xvmc_intra_block_B14(), get_xvmc_intra_block_B15(), get_xvmc_mpeg1_intra_block(), get_xvmc_mpeg1_non_intra_block(), and get_xvmc_non_intra_block().

## ◆ DCT_B14_10

const DCTtab DCT_B14_10[]
| static

Initial value:
= {
{ 17, 1,10}, { 6, 2,10}, { 1, 7,10}, { 3, 3,10},
{ 2, 4,10}, { 16, 1,10}, { 15, 1,10}, { 5, 2,10}
}

Referenced by get_intra_block_B14(), get_mpeg1_intra_block(), get_mpeg1_non_intra_block(), get_non_intra_block(), get_xvmc_intra_block_B14(), get_xvmc_mpeg1_intra_block(), get_xvmc_mpeg1_non_intra_block(), and get_xvmc_non_intra_block().

## ◆ DCT_B14_8

const DCTtab DCT_B14_8[]
| static

Initial value:
= {
{ 65, 0, 6}, { 65, 0, 6}, { 65, 0, 6}, { 65, 0, 6},
{ 3, 2, 7}, { 3, 2, 7}, { 10, 1, 7}, { 10, 1, 7},
{ 1, 4, 7}, { 1, 4, 7}, { 9, 1, 7}, { 9, 1, 7},
{ 8, 1, 6}, { 8, 1, 6}, { 8, 1, 6}, { 8, 1, 6},
{ 7, 1, 6}, { 7, 1, 6}, { 7, 1, 6}, { 7, 1, 6},
{ 2, 2, 6}, { 2, 2, 6}, { 2, 2, 6}, { 2, 2, 6},
{ 6, 1, 6}, { 6, 1, 6}, { 6, 1, 6}, { 6, 1, 6},
{ 14, 1, 8}, { 1, 6, 8}, { 13, 1, 8}, { 12, 1, 8},
{ 4, 2, 8}, { 2, 3, 8}, { 1, 5, 8}, { 11, 1, 8}
}

Referenced by get_intra_block_B14(), get_mpeg1_intra_block(), get_mpeg1_non_intra_block(), get_non_intra_block(), get_xvmc_intra_block_B14(), get_xvmc_mpeg1_intra_block(), get_xvmc_mpeg1_non_intra_block(), and get_xvmc_non_intra_block().

## ◆ DCT_B14AC_5

const DCTtab DCT_B14AC_5[]
| static

Initial value:
= {
{ 1, 3, 5}, { 5, 1, 5}, { 4, 1, 5},
{ 1, 2, 4}, { 1, 2, 4}, { 3, 1, 4}, { 3, 1, 4},
{ 2, 1, 3}, { 2, 1, 3}, { 2, 1, 3}, { 2, 1, 3},
{129, 0, 2}, {129, 0, 2}, {129, 0, 2}, {129, 0, 2},
{129, 0, 2}, {129, 0, 2}, {129, 0, 2}, {129, 0, 2},
{ 1, 1, 2}, { 1, 1, 2}, { 1, 1, 2}, { 1, 1, 2},
{ 1, 1, 2}, { 1, 1, 2}, { 1, 1, 2}, { 1, 1, 2}
}

Referenced by get_intra_block_B14(), get_mpeg1_intra_block(), get_mpeg1_non_intra_block(), get_non_intra_block(), get_xvmc_intra_block_B14(), get_xvmc_mpeg1_intra_block(), get_xvmc_mpeg1_non_intra_block(), and get_xvmc_non_intra_block().

## ◆ DCT_B14DC_5

const DCTtab DCT_B14DC_5[]
| static

Initial value:
= {
{ 1, 3, 5}, { 5, 1, 5}, { 4, 1, 5},
{ 1, 2, 4}, { 1, 2, 4}, { 3, 1, 4}, { 3, 1, 4},
{ 2, 1, 3}, { 2, 1, 3}, { 2, 1, 3}, { 2, 1, 3},
{ 1, 1, 1}, { 1, 1, 1}, { 1, 1, 1}, { 1, 1, 1},
{ 1, 1, 1}, { 1, 1, 1}, { 1, 1, 1}, { 1, 1, 1},
{ 1, 1, 1}, { 1, 1, 1}, { 1, 1, 1}, { 1, 1, 1},
{ 1, 1, 1}, { 1, 1, 1}, { 1, 1, 1}, { 1, 1, 1}
}

Referenced by get_mpeg1_non_intra_block(), get_non_intra_block(), get_xvmc_mpeg1_non_intra_block(), and get_xvmc_non_intra_block().

## ◆ DCT_B15_10

const DCTtab DCT_B15_10[]
| static

Initial value:
= {
{ 6, 2, 9}, { 6, 2, 9}, { 15, 1, 9}, { 15, 1, 9},
{ 3, 4,10}, { 17, 1,10}, { 16, 1, 9}, { 16, 1, 9}
}

Referenced by get_intra_block_B15(), and get_xvmc_intra_block_B15().

## ◆ DCT_B15_8

const DCTtab DCT_B15_8[]
| static

Referenced by get_intra_block_B15(), and get_xvmc_intra_block_B15().

## ◆ DMV_2

const DMVtab DMV_2[]
| static

Initial value:
= {
{ 0, 1}, { 0, 1}, { 1, 2}, {-1, 2}
}

Referenced by get_dmv(), and get_xvmc_dmv().

## ◆ MB_B

const MBtab MB_B[]
| static

Initial value:
= {
{0, 0}, { MACROBLOCK_INTRA | MACROBLOCK_QUANT , 6},
{ MACROBLOCK_MOTION_BACKWARD | MACROBLOCK_PATTERN | MACROBLOCK_QUANT , 6}, { MACROBLOCK_MOTION_FORWARD | MACROBLOCK_PATTERN | MACROBLOCK_QUANT , 6},
{ MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD | MACROBLOCK_PATTERN | MACROBLOCK_QUANT , 5}, { MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD | MACROBLOCK_PATTERN | MACROBLOCK_QUANT , 5},
{ MACROBLOCK_INTRA , 5}, { MACROBLOCK_INTRA , 5},
{ MACROBLOCK_MOTION_FORWARD , 4}, { MACROBLOCK_MOTION_FORWARD , 4}, { MACROBLOCK_MOTION_FORWARD , 4}, { MACROBLOCK_MOTION_FORWARD , 4},
{ MACROBLOCK_MOTION_FORWARD | MACROBLOCK_PATTERN , 4}, { MACROBLOCK_MOTION_FORWARD | MACROBLOCK_PATTERN , 4}, { MACROBLOCK_MOTION_FORWARD | MACROBLOCK_PATTERN , 4}, { MACROBLOCK_MOTION_FORWARD | MACROBLOCK_PATTERN , 4},
{ MACROBLOCK_MOTION_BACKWARD , 3}, { MACROBLOCK_MOTION_BACKWARD , 3}, { MACROBLOCK_MOTION_BACKWARD , 3}, { MACROBLOCK_MOTION_BACKWARD , 3},
{ MACROBLOCK_MOTION_BACKWARD , 3}, { MACROBLOCK_MOTION_BACKWARD , 3}, { MACROBLOCK_MOTION_BACKWARD , 3}, { MACROBLOCK_MOTION_BACKWARD , 3},
{ MACROBLOCK_MOTION_BACKWARD | MACROBLOCK_PATTERN , 3}, { MACROBLOCK_MOTION_BACKWARD | MACROBLOCK_PATTERN , 3}, { MACROBLOCK_MOTION_BACKWARD | MACROBLOCK_PATTERN , 3}, { MACROBLOCK_MOTION_BACKWARD | MACROBLOCK_PATTERN , 3},
{ MACROBLOCK_MOTION_BACKWARD | MACROBLOCK_PATTERN , 3}, { MACROBLOCK_MOTION_BACKWARD | MACROBLOCK_PATTERN , 3}, { MACROBLOCK_MOTION_BACKWARD | MACROBLOCK_PATTERN , 3}, { MACROBLOCK_MOTION_BACKWARD | MACROBLOCK_PATTERN , 3},
{ MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD , 2}, { MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD , 2}, { MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD , 2}, { MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD , 2},
{ MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD , 2}, { MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD , 2}, { MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD , 2}, { MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD , 2},
{ MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD , 2}, { MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD , 2}, { MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD , 2}, { MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD , 2},
{ MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD , 2}, { MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD , 2}, { MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD , 2}, { MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD , 2},
{ MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD | MACROBLOCK_PATTERN , 2}, { MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD | MACROBLOCK_PATTERN , 2}, { MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD | MACROBLOCK_PATTERN , 2}, { MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD | MACROBLOCK_PATTERN , 2},
{ MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD | MACROBLOCK_PATTERN , 2}, { MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD | MACROBLOCK_PATTERN , 2}, { MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD | MACROBLOCK_PATTERN , 2}, { MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD | MACROBLOCK_PATTERN , 2},
{ MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD | MACROBLOCK_PATTERN , 2}, { MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD | MACROBLOCK_PATTERN , 2}, { MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD | MACROBLOCK_PATTERN , 2}, { MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD | MACROBLOCK_PATTERN , 2},
{ MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD | MACROBLOCK_PATTERN , 2}, { MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD | MACROBLOCK_PATTERN , 2}, { MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD | MACROBLOCK_PATTERN , 2}, { MACROBLOCK_MOTION_FORWARD|MACROBLOCK_MOTION_BACKWARD | MACROBLOCK_PATTERN , 2}
}
MACROBLOCK_INTRA
#define MACROBLOCK_INTRA
Definition: mpeg2_internal.h:35
MACROBLOCK_MOTION_BACKWARD
#define MACROBLOCK_MOTION_BACKWARD
Definition: mpeg2_internal.h:37
MACROBLOCK_MOTION_FORWARD
#define MACROBLOCK_MOTION_FORWARD
Definition: mpeg2_internal.h:38
MACROBLOCK_QUANT
#define MACROBLOCK_QUANT
Definition: mpeg2_internal.h:39
MACROBLOCK_PATTERN
#define MACROBLOCK_PATTERN
Definition: mpeg2_internal.h:36

Referenced by get_macroblock_modes(), and get_xvmc_macroblock_modes().

## ◆ MB_I

const MBtab MB_I[]
| static

Initial value:
= {
{ MACROBLOCK_INTRA | MACROBLOCK_QUANT , 2}, { MACROBLOCK_INTRA , 1}
}

Referenced by get_macroblock_modes(), and get_xvmc_macroblock_modes().

## ◆ MB_P

const MBtab MB_P[]
| static

Initial value:
= {
{ MACROBLOCK_INTRA | MACROBLOCK_QUANT , 6}, { MACROBLOCK_PATTERN | MACROBLOCK_QUANT , 5}, { MACROBLOCK_MOTION_FORWARD | MACROBLOCK_PATTERN | MACROBLOCK_QUANT , 5}, { MACROBLOCK_INTRA , 5},
{ MACROBLOCK_MOTION_FORWARD , 3}, { MACROBLOCK_MOTION_FORWARD , 3}, { MACROBLOCK_MOTION_FORWARD , 3}, { MACROBLOCK_MOTION_FORWARD , 3},
{ MACROBLOCK_PATTERN , 2}, { MACROBLOCK_PATTERN , 2}, { MACROBLOCK_PATTERN , 2}, { MACROBLOCK_PATTERN , 2},
{ MACROBLOCK_PATTERN , 2}, { MACROBLOCK_PATTERN , 2}, { MACROBLOCK_PATTERN , 2}, { MACROBLOCK_PATTERN , 2},
{ MACROBLOCK_MOTION_FORWARD | MACROBLOCK_PATTERN , 1}, { MACROBLOCK_MOTION_FORWARD | MACROBLOCK_PATTERN , 1}, { MACROBLOCK_MOTION_FORWARD | MACROBLOCK_PATTERN , 1}, { MACROBLOCK_MOTION_FORWARD | MACROBLOCK_PATTERN , 1},
{ MACROBLOCK_MOTION_FORWARD | MACROBLOCK_PATTERN , 1}, { MACROBLOCK_MOTION_FORWARD | MACROBLOCK_PATTERN , 1}, { MACROBLOCK_MOTION_FORWARD | MACROBLOCK_PATTERN , 1}, { MACROBLOCK_MOTION_FORWARD | MACROBLOCK_PATTERN , 1},
{ MACROBLOCK_MOTION_FORWARD | MACROBLOCK_PATTERN , 1}, { MACROBLOCK_MOTION_FORWARD | MACROBLOCK_PATTERN , 1}, { MACROBLOCK_MOTION_FORWARD | MACROBLOCK_PATTERN , 1}, { MACROBLOCK_MOTION_FORWARD | MACROBLOCK_PATTERN , 1},
{ MACROBLOCK_MOTION_FORWARD | MACROBLOCK_PATTERN , 1}, { MACROBLOCK_MOTION_FORWARD | MACROBLOCK_PATTERN , 1}, { MACROBLOCK_MOTION_FORWARD | MACROBLOCK_PATTERN , 1}, { MACROBLOCK_MOTION_FORWARD | MACROBLOCK_PATTERN , 1}
}

Referenced by get_macroblock_modes(), and get_xvmc_macroblock_modes().

## ◆ MBA_11

const MBAtab MBA_11[]
| static

Initial value:
= {
{32, 11}, {31, 11}, {30, 11}, {29, 11},
{28, 11}, {27, 11}, {26, 11}, {25, 11},
{24, 11}, {23, 11}, {22, 11}, {21, 11},
{20, 10}, {20, 10}, {19, 10}, {19, 10},
{18, 10}, {18, 10}, {17, 10}, {17, 10},
{16, 10}, {16, 10}, {15, 10}, {15, 10},
{14, 8}, {14, 8}, {14, 8}, {14, 8},
{14, 8}, {14, 8}, {14, 8}, {14, 8},
{13, 8}, {13, 8}, {13, 8}, {13, 8},
{13, 8}, {13, 8}, {13, 8}, {13, 8},
{12, 8}, {12, 8}, {12, 8}, {12, 8},
{12, 8}, {12, 8}, {12, 8}, {12, 8},
{11, 8}, {11, 8}, {11, 8}, {11, 8},
{11, 8}, {11, 8}, {11, 8}, {11, 8},
{10, 8}, {10, 8}, {10, 8}, {10, 8},
{10, 8}, {10, 8}, {10, 8}, {10, 8},
{ 9, 8}, { 9, 8}, { 9, 8}, { 9, 8},
{ 9, 8}, { 9, 8}, { 9, 8}, { 9, 8},
{ 8, 7}, { 8, 7}, { 8, 7}, { 8, 7},
{ 8, 7}, { 8, 7}, { 8, 7}, { 8, 7},
{ 8, 7}, { 8, 7}, { 8, 7}, { 8, 7},
{ 8, 7}, { 8, 7}, { 8, 7}, { 8, 7},
{ 7, 7}, { 7, 7}, { 7, 7}, { 7, 7},
{ 7, 7}, { 7, 7}, { 7, 7}, { 7, 7},
{ 7, 7}, { 7, 7}, { 7, 7}, { 7, 7},
{ 7, 7}, { 7, 7}, { 7, 7}, { 7, 7}
}

Referenced by mpeg2_slice(), mpeg2_xvmc_slice(), slice_init(), and slice_xvmc_init().

## ◆ MBA_5

const MBAtab MBA_5[]
| static

Initial value:
= {
{6, 5}, {5, 5}, {4, 4}, {4, 4}, {3, 4}, {3, 4},
{2, 3}, {2, 3}, {2, 3}, {2, 3}, {1, 3}, {1, 3}, {1, 3}, {1, 3},
{0, 1}, {0, 1}, {0, 1}, {0, 1}, {0, 1}, {0, 1}, {0, 1}, {0, 1},
{0, 1}, {0, 1}, {0, 1}, {0, 1}, {0, 1}, {0, 1}, {0, 1}, {0, 1}
}

Referenced by mpeg2_slice(), mpeg2_xvmc_slice(), slice_init(), and slice_xvmc_init().

## ◆ MV_10

const MVtab MV_10[]
| static

Initial value:
= {
{ 0,10}, { 0,10}, { 0,10}, { 0,10}, { 0,10}, { 0,10}, { 0,10}, { 0,10},
{ 0,10}, { 0,10}, { 0,10}, { 0,10}, {15,10}, {14,10}, {13,10}, {12,10},
{11,10}, {10,10}, { 9, 9}, { 9, 9}, { 8, 9}, { 8, 9}, { 7, 9}, { 7, 9},
{ 6, 7}, { 6, 7}, { 6, 7}, { 6, 7}, { 6, 7}, { 6, 7}, { 6, 7}, { 6, 7},
{ 5, 7}, { 5, 7}, { 5, 7}, { 5, 7}, { 5, 7}, { 5, 7}, { 5, 7}, { 5, 7},
{ 4, 7}, { 4, 7}, { 4, 7}, { 4, 7}, { 4, 7}, { 4, 7}, { 4, 7}, { 4, 7}
}

Referenced by get_motion_delta(), and get_xvmc_motion_delta().

## ◆ MV_4

const MVtab MV_4[]
| static

Initial value:
= {
{ 3, 6}, { 2, 4}, { 1, 3}, { 1, 3}, { 0, 2}, { 0, 2}, { 0, 2}, { 0, 2}
}

Referenced by get_motion_delta(), and get_xvmc_motion_delta().